Skip to main content
GET
/
api
/
v0
/
repositories
/
all-findings
List findings across repositories the user has access to.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/all-findings
{
  "findings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": 123,
      "attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "relatedFiles": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "path": "<string>",
          "lines": {
            "start": 123,
            "end": 123
          },
          "language": "<string>",
          "relevantContent": "<string>"
        }
      ],
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "lastUpdatedAt": "2023-11-07T05:31:56Z",
      "locked": true,
      "hasUnreadComments": true,
      "unreadCommentsNumber": 123,
      "repository": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "allowedSeverities": []
      },
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "handle": "<string>"
      },
      "reward": "<string>",
      "fixedBy": [
        "<string>"
      ],
      "duplicateOf": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "number": 123,
        "title": "<string>"
      },
      "duplicates": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "number": 123,
          "title": "<string>"
        }
      ],
      "duplicateGroup": {
        "description": "<string>",
        "findings": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "number": 123,
            "title": "<string>"
          }
        ]
      },
      "category": "<string>",
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "isSystem": true,
          "reviewerRead": true,
          "reviewerUse": true,
          "description": "<string>",
          "archivedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "assignedTo": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "assetGroup": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "outOfScope": true,
        "rewards": [
          {
            "minReward": "<string>",
            "maxReward": "<string>"
          }
        ],
        "assets": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "description": "<string>",
            "reference": "<string>"
          }
        ],
        "subGroups": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "assets": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "name": "<string>",
                "description": "<string>",
                "reference": "<string>"
              }
            ],
            "description": "<string>"
          }
        ]
      },
      "lastCommentAt": "2023-11-07T05:31:56Z",
      "safeHarborAssets": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "description": "<string>"
        }
      ],
      "note": "<string>",
      "paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "filteredTotal": 123,
  "nextValue": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer | null

Maximum number of findings to return.

Defaults to 20, limited to 100.

Required range: x >= 0
order_by
null | enum<string>

What ordering to apply, defaults to ordering by number. Ordering of findings to use.

Available options:
number_desc,
number_asc,
status_asc,
status_desc,
severity_asc,
severity_desc,
reputation_asc,
reputation_desc,
username_asc,
username_desc,
created_at_asc,
created_at_desc,
last_updated_at_asc,
last_updated_at_desc,
reward_asc,
reward_desc,
last_comment_desc,
last_comment_asc
next
string | null

Pagination value.

When this route is first used it returns a next_value, when set as the next value it will return the next set of items, implementing pagination.

Notes

All the same filtering options (i.e. path and status) MUST be used between requests, otherwise findings might be skipped and/or returned twice (in two different requests).

with_unread_comments
boolean | null

Filter findings by unread comments presence.

If set to true, only return findings with unread comments. If set to false, only return findings without unread comments. If not set, return all findings regardless of unread comments status.

repositories
string<uuid>[] | null

Limit the findings to specific repositories.

NOTE: this is only relevant for the endpoint that list all findings.

role
null | enum<string>

Limit the findings to repositories in which the user is a certain role.

NOTE: this is only relevant for the endpoint that list all findings. Role of a user in the context of a repository.

Available options:
client,
reviewer,
judge,
triager,
admin
path
string | null

Limit findings related to a specific file.

status
enum<string>[] | null

Limits the findings to the findings with one of the statuses in this array. If this is not set it will return all findings regardless of their status.

Format is a comma separated list, e.g. new,confirmed.

Status of a [Finding]. Note that the in_review status is only applicable within bounties.

Available options:
new,
in_review,
disputed,
rejected,
spam,
duplicate,
confirmed,
acknowledged,
fixed,
withdrawn
duplicates
boolean | null

Whether or not to include duplicates.

If set to true duplicate findings are returned. If set to false only unique findings and root findings (findings of which other findings are marked as a duplicate) are returned.

Defaults to true, i.e. returning all findings (duplicates included).

severity
enum<string>[] | null

Limits the findings to the findings with one of the severity in this array. If this is not set it will return all findings regardless of their severity.

Format is a comma separated list, e.g. high,low.

Severity of a [Finding].

Available options:
critical,
high,
medium,
low,
informational,
gas_optimization
label
string[] | null

Filter findings by label name.

If a finding has any of the labels in this list it will be included in the result, i.e. it's an OR not AND filtering.

This is mutually exclusive with unlabeled.

Format is a comma separated list, e.g. label1,label2.

unlabeled
boolean | null

Filter findings by having none/zero labels, i.e. unlabeled findings.

This is mutually exclusive with label.

filter_for
null | enum<string>

Present filter for findings based on a [BaseFindingView].

Note: If additional query parameters are provided alongside filter_for, they will be combined with the filtering logic using an AND operator. A predefined filters for findings.

Available options:
client_recommended,
with_duplicates,
require_review
created_by
string[] | null

Filter findings by reviewer username that created it.

If a finding is created by any of the reviewer in this list it will be included in the result, i.e. it's an OR not AND filtering.

Format is a comma separated list, e.g. reviewer1,reviewer2.

assigned_to
string | null

Limit the findings to the ones assigned to the user with the given username.

q
string | null

Search the findings with the given query.

This currently searches the finding number, title and description.

s
string | null

Searching and filtering.

Response

List of findings

List of [Finding]`s.

findings
object[]
required

List of findings.

filteredTotal
integer<int32>
required

Total count of findings selected by the current filter

nextValue
string | null

Use this as next value in the next request to retrieve the next list of findings.

If this is empty it means no more findings are available.